Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class NavigationCase

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.NavigationCase

All Implemented Interfaces:
  NavigationCase

public class NavigationCase
extends java.lang.Object
implements NavigationCase

Author:
  Oliver Rossmueller

Constructor Summary
`NavigationCase()`

Method Summary
`java.lang.String` | `getFromAction()`
`java.lang.String` | `getFromOutcome()`
`java.lang.String` | `getToViewId()`
`boolean` | `isRedirect()`
`void` | `setFromAction(java.lang.String fromAction)`
`void` | `setFromOutcome(java.lang.String fromOutcome)`
`void` | `setRedirect()`
`void` | `setToViewId(java.lang.String toViewId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationCase

    public NavigationCase()

Method Detail

### getFromAction

    public java.lang.String getFromAction()

  Specified by:
    `getFromAction` in interface `NavigationCase`

### setFromAction

    public void setFromAction(java.lang.String fromAction)

### getFromOutcome

    public java.lang.String getFromOutcome()

  Specified by:
    `getFromOutcome` in interface `NavigationCase`

### setFromOutcome

    public void setFromOutcome(java.lang.String fromOutcome)

### getToViewId

    public java.lang.String getToViewId()

  Specified by:
    `getToViewId` in interface `NavigationCase`

### setToViewId

    public void setToViewId(java.lang.String toViewId)

### setRedirect

    public void setRedirect()

### isRedirect

    public boolean isRedirect()

  Specified by:
    `isRedirect` in interface `NavigationCase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD